import request from '@/utils/request'

// 查询转人工提示词列表
export function listFastgptChatArtificialWords(query) {
  return request({
    url: '/fastGpt/fastgptChatArtificialWords/list',
    method: 'get',
    params: query
  })
}

// 查询转人工提示词详细
export function getFastgptChatArtificialWords(id) {
  return request({
    url: '/fastGpt/fastgptChatArtificialWords/' + id,
    method: 'get'
  })
}

// 新增转人工提示词
export function addFastgptChatArtificialWords(data) {
  return request({
    url: '/fastGpt/fastgptChatArtificialWords',
    method: 'post',
    data: data
  })
}

// 修改转人工提示词
export function updateFastgptChatArtificialWords(data) {
  return request({
    url: '/fastGpt/fastgptChatArtificialWords',
    method: 'put',
    data: data
  })
}

// 删除转人工提示词
export function delFastgptChatArtificialWords(id) {
  return request({
    url: '/fastGpt/fastgptChatArtificialWords/' + id,
    method: 'delete'
  })
}

// 导出转人工提示词
export function exportFastgptChatArtificialWords(query) {
  return request({
    url: '/fastGpt/fastgptChatArtificialWords/export',
    method: 'get',
    params: query
  })
}
